View Issue Details

IDProjectCategoryView StatusLast Update
0004926GNUnetset servicepublic2018-06-07 00:24
ReporterChristian GrothoffAssigned ToChristian Grothoff 
PrioritynormalSeveritycrashReproducibilityhave not tried
Status closedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0004926: set crash bug on gnunet9
DescriptionStack trace was this (looks like memory corruption)

Core was generated by `/home/gnunet9/lib//gnunet/libexec/gnunet-service-set -c /home/gnunet9/.config/g'.
Program terminated with signal SIGSEGV, Segmentation fault.
#0 0x00007fc9973525ed in GNUNET_CADET_channel_destroy (channel=0xdf0adba0df0adba) at cadet_api_new.c:1251
1251 struct GNUNET_CADET_Handle *h = channel->cadet;
(gdb) ba
#0 0x00007fc9973525ed in GNUNET_CADET_channel_destroy (channel=0xdf0adba0df0adba) at cadet_api_new.c:1251
#1 0x00000000004066d9 in handle_p2p_message (cls=0x1d34880, message=0x1c838b8) at gnunet-service-set.c:1329
#2 0x00007fc9979a9698 in GNUNET_MQ_inject_message (mq=0x1b2fcf0, mh=0x1c838b8) at mq.c:265
#3 0x00007fc9973510b7 in handle_local_data (cls=0x1b29750, message=0x1c838b0) at cadet_api_new.c:768
#4 0x00007fc9979a9698 in GNUNET_MQ_inject_message (mq=0x1b15d00, mh=0x1c838b0) at mq.c:265
#5 0x00007fc997976a74 in recv_message (cls=0x1b15c00, msg=0x1c838b0) at client.c:301
#6 0x00007fc9979a8db5 in GNUNET_MST_from_buffer (mst=0x1b15b10, buf=0x0, size=0, purge=0, one_shot=0) at mst.c:232
#7 0x00007fc9979a9495 in GNUNET_MST_read (mst=0x1b15b10, sock=0x1b16530, purge=0, one_shot=0) at mst.c:359
#8 0x00007fc997976f16 in receive_ready (cls=0x1b15c00) at client.c:383
#9 0x00007fc9979bc541 in run_ready (rs=0x1b14cd0, ws=0x1b14d60) at scheduler.c:620
#10 0x00007fc9979bce8c in GNUNET_SCHEDULER_run (task=0x7fc9979ccbd5 <service_main>, task_cls=0x7fffde52a700)
    at scheduler.c:887
#11 0x00007fc9979d1e62 in GNUNET_SERVICE_ruN_ (argc=3, argv=0x7fffde52ace8, service_name=0x415e31 "set",
    options=GNUNET_SERVICE_OPTION_NONE, service_init_cb=0x409e99 <run>, connect_cb=0x403911 <client_connect_cb>,
    disconnect_cb=0x403927 <client_disconnect_cb>, cls=0x0, handlers=0x7fffde52a860) at service_new.c:1844
#12 0x000000000040a582 in main (argc=3, argv=0x7fffde52ace8) at gnunet-service-set.c:2093
TagsNo tags attached.

Activities

Christian Grothoff

2017-03-13 01:38

manager   ~0011919

Completed MAJOR rewrite of SET today, including much cleaned up initialization and shutdown logic. So this should really be fixed, leaving open briefly to check.

Issue History

Date Modified Username Field Change
2017-02-26 02:21 Christian Grothoff New Issue
2017-02-26 02:21 Christian Grothoff Status new => assigned
2017-02-26 02:21 Christian Grothoff Assigned To => Florian Dold
2017-03-11 14:09 Christian Grothoff Assigned To Florian Dold => Christian Grothoff
2017-03-13 01:38 Christian Grothoff Note Added: 0011919
2017-03-13 03:14 Christian Grothoff Status assigned => resolved
2017-03-13 03:14 Christian Grothoff Resolution open => fixed
2017-03-13 03:14 Christian Grothoff Fixed in Version => 0.11.0pre66
2018-06-07 00:24 Christian Grothoff Status resolved => closed